* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}


/*pan*/

img {
    display: block;
    width: 100%;
}

.um {
    display: flex;
    flex-direction: row;
    background-color: white;
}

.prog_evento {
    font-size: 12px;
    line-height: 2;

}


.programa-section {
    display: flex;
    gap: 25px;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 40px;
    padding-bottom: 40px;


}

.programa-card {

    background: #63d9ff;
    border-radius: 35px;
    padding: 50px 20px;
    text-align: left;
    color: white;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);

}

.programa-card h2 {
    font-size: 20px;
    margin-bottom: 20px;
    font-weight: bold;
    text-transform: uppercase;
}

.programa-card ul {
    list-style: none;
}

.programa-card li {
    margin: 12px 0;
    font-size: 15px;
    letter-spacing: 1px;
}

#dash {
    width: 150px;
}

body {

    font-family: sans-serif;

}




#menu_nav {
    width: 80%;
    max-width: 1000px;
    margin: auto;

    display: flex;
    justify-content: space-between;
    align-items: center;
}


/* ### MENU  ### */
nav#desktop ul {
    margin: 0;
    padding: 0;
    list-style-type: none;

    display: flex;
    justify-content: space-between;
}

nav#desktop ul li {
    margin: 0 10px;
}

nav a {
    color: white;
    text-decoration: none;
}

nav a:visited {
    color: white;
}

nav a:hover {
    text-decoration: underline;
    color: white;
}




#bigmac {
    display: none;

    width: 40px;
    height: 28px;

    position: relative;

    z-index: 30;

    cursor: pointer;
}

#bigmac .linha {
    position: absolute;
    height: 4px;
    width: 100%;


    background-color: white;
    border-radius: 9px;

    opacity: 1;
    left: 0;

    transform: rotate(0deg);
    transition: 0.5s ease-in-out;
}


#bigmac .linha:nth-child(1) {
    top: 0px;
}

#bigmac .linha:nth-child(2) {
    top: 12px;
}

#bigmac .linha:nth-child(3) {
    top: 12px;
}

#bigmac .linha:nth-child(4) {
    top: 24px;
}

#bigmac.open .linha:nth-child(1) {
    top: 18px;
    width: 0%;
    left: 50%;
}

#bigmac.open .linha:nth-child(2) {
    transform: rotate(45deg);
}

#bigmac.open .linha:nth-child(3) {
    transform: rotate(-45deg);
}

#bigmac.open .linha:nth-child(4) {
    top: 18px;
    width: 0%;
    left: 50%;
}


nav#mobile {
    display: none;

}



/* FIM HEADER */






.conteudo {

    /* height: 250px; */
    width: 80%;
    max-width: 1366px;
    margin-left: auto;
    margin-right: auto;

}

.grelha {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
}

.fundo1 {

    background-color: #F1DB56;
    padding-bottom: 80px;

}

.fundo5 {

    background-color: #F1DB56;
}

.fundo2 {

    background-color: #F372BF;
    margin-top: 0px;

}

.fundo3 {

    background-color: #58D0F5;
}

.fundo4 {

    padding-bottom: 80px;
    padding-top: 80px;
}




.area_6_colunas {
    height: 80px;
    grid-column: span 6;
}

.area_4_colunas {

    grid-column: span 4;

    img {
        width: 100px;
        /* Adjust as needed */
        height: 150px;
        /* Adjust as needed */
        object-fit: cover;

    }
}


.area_1_colunas {

grid-column: span 4;
display: block;
width: 200px;
margin-top: 30px;
margin-bottom: 30px;
margin-left: 30px;
margin-right: 30px;


}

.area_2_colunas {
    height: 80px;
    grid-column: span 2;

}



.content_grid {
    width: 80%;
    max-width: 1100px;
    margin-left: auto;
    margin-right: auto;
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(12, 1fr);
}

#startgame {
    background-image: url(imagens/Ilustração_Sem_Título\ \(3\).png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: block;
    width: 100%;
    height: 600px;

    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    align-items: center;
}

#te {
    margin-bottom: 90px;
    color: #F372BF;
    font-family: "Press Start 2P";
}

#patrocinadores {
    /* position: relative; */
    background: #58D0F5;
    /*     height: 180px;
    width: 100%; */



}

.treze {

    color: #C7AE1C;
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    padding: 30px;
    margin-bottom: 30px;

}

.botao {
    margin-top: 40px;
    width: 100px;
    margin-left: auto;
    margin-right: auto;
}



.botao button {
    width: 100%;
    background: #F372BF;
    border: none;
    padding: 7px 10px;
    border-radius: 5px;
    color: #762053;




}








.titulo-final {
    /*     position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    color: #f4dd4d;
    font-size: 24px; */
    grid-column: 1 / 6;
    font-family: "Press Start 2P";
    font-size: 40px;
    font-weight: bold;
    color: #f4dd4d;
}

.anime {
    width: 100%;
    grid-column: 7 / 13;
}

.centrado_vertical {
    align-items: center;
}

.container {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    height: 300px;
}


.secao {

    width: 100%;
    padding: 55px 55px;
    text-align: center;
}

.amarelo {
    background: #e7d64f;
}

.rosa {
    background: #ea67b5;
}

.ciano {
    background: #59c4e7;
}

.secao h1 {
    font-size: 18px;
    line-height: 1.3;
    margin-bottom: 40px;
    font-weight: bold;
}


/* SECTIONS */
.section {
    width: 100%;
    min-height: 100vh;
    /* ocupa o ecrã inteiro */
    padding: 120px 8%;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


.sections {
    width: 100%;
    min-height: 100vh;
    /* ocupa o ecrã inteiro */
    padding: 120px 8%;

    /*     display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; */
}

.yellow {
    background: #F1DB56;
}

.pink {
    background: #F372BF;
}

.blue {
    background: #58D0F5;
}



/* TITLES */
.section h1 {
    font-size: 55px;
    text-align: center;
    margin-bottom: 80px;
    color: #7a5d00;
}

.pink h1 {
    color: #7a0055;
}

.blue h1 {
    color: #004f73;
}


/* SECÇÃO ROSA */

.section.pink {
    


    min-height: auto;
    /* altura adapta ao conteúdo */
    overflow: hidden;
}

.sections.pink {
    padding-top: 40px;
    /* menos espaço em cima */
    padding-bottom: 0;

    min-height: auto;
    /* altura adapta ao conteúdo */
    overflow: hidden;
}




/* CARDS */
.cards {
    display: flex;
    gap: 40px;
    flex-wrap: wrap;
    justify-content: center;
}

.card {
    width: 300px;
    min-height: 220px;
    border-radius: 35px;
    padding: 35px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.card-pink {
    background: #ef67b6;
    color: #6f0047;
}

.card-blue {
    background: #59d7f5;
    color: #004f73;
}

.card-yellow {
    background: #e7d54c;
    color: #7a5d00;
}

.card h3 {
    font-size: 20px;
    margin-bottom: 25px;
    line-height: 1.5;
}

.price {
    font-size: 32px;
    font-weight: bold;
}

/* FOOTER */
footer {
    background: #e7d54c;
    width: 100%;
    padding: 50px 20px;
    text-align: center;
}

.footer-logo {
    display: inline-block;
    background: white;
    color: #e7d54c;
    padding: 10px 20px;
    font-weight: bold;
    margin-bottom: 20px;
    font-size: 24px;
}

footer p {
    font-size: 14px;
    color: #7a5d00;
}

.lol {
    display: inline-block;
    color: white;
    padding: 10px 20px;
    font-weight: bold;

}





/* HERO */

.hero img {
    width: 100vw;
    display: block;
}

.hero {
    width: 100%;
    min-height: 100vh;

    padding: 0;
    margin: 0;


    display: flex;
    justify-content: center;
    align-items: center;

    overflow: hidden;
}



/* CONTENT */

.content {
    width: 100%;
    max-width: 1366px;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 80px;

}

.book-card {
    background: #e7d54c;
    padding: 30px;
    border-radius: 25px;
}

.book-card img {
    width: 260px;
    display: block;
}

.text-box {
    max-width: 650px;
    color: white;
}

.text-box h1 {
    font-size: 55px;
    margin-bottom: 30px;
}

.text-box p {
    font-size: 22px;
    line-height: 1.8;
}

/* GALLERY */

.gallery {
    width: 100%;
    max-width: 1200px;

    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 50px;

    justify-items: center;
    align-items: start;
}

/* PRIMEIRA LINHA */
.poster:nth-child(1) {
    grid-column: 1 / 3;
}

.poster:nth-child(2) {
    grid-column: 3 / 5;
}

.poster:nth-child(3) {
    grid-column: 5 / 7;
}


/* SEGUNDA LINHA CENTRALIZADA */
.poster:nth-child(4) {
    grid-column: 2 / 4;
}

.poster:nth-child(5) {
    grid-column: 4 / 6;
}


.poster {
    text-align: center;
}


.poster img {
    width: 250px;
    height: 300px;
    object-fit: cover;

    display: block;
    margin-bottom: 20px;

    border-radius: 10px;
}

.poster span {
    font-size: 26px;
    color: white;
    font-weight: bold;
}

/* FINAL SECTION */



/* TEXTO */
.final-text {
    width: 50%;
    color: white;
}

.final-text p {
    font-size: 28px;
    line-height: 1.8;
    max-width: 700px;
}


.final-text h2 {
    font-size: 40px;
    margin-bottom: 40px;
    line-height: 1.1;
    font-family: "Press Start 2P";
}


/* IMAGEM */
.character {
    width: 50%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.character img {
    width: 520px;
    max-width: 100%;
    margin-top: 80px;
}



/* ############*/
/*  RESPONSIVO */
/* ############*/


@media (max-width:800px) {

    .conteudo {

        width: 95%;
    }

    .grelha {
        grid-template-columns: 1fr;

    }

    .area_2_colunas,
    .area_4_colunas,
    .area_6_colunas,
    .titulo-final,
    .anime {

        grid-column: span 1;
    }




    #startgame {
        margin-top: 77px;

    }


    .content {
        flex-direction: column;
    }

    .character {
        width: 100%;
    }

    .final-text {
        width: 100%;
    }

    header {
        width: 100%;

        position: fixed;
        top: 0;
    }

    #menu_nav {
        width: 95%;
    }

    #bigmac {
        display: block;
    }

    h1 {
        margin: 0;
        text-align: center;
        padding: 20px 0;
    }

    nav#desktop {
        display: none;

    }

    nav#mobile {
        display: block;
        position: fixed;


        z-index: 20;
        width: 100%;
        left: -100vw;
        top: 70px;
        transition: .3s linear;

        background-color: rgba(182, 230, 255, 0.95);
    }


    nav#mobile.menu_abre {
        left: 0;
    }

    nav#mobile ul {
        margin: 0;
        padding: 0;
        list-style-type: none;
    }

    nav#mobile li {
        width: 100%;
        padding: 20px 0;
        text-align: center;
        height: 80px;
    }




}